<?php 

	$musicians_custom_style = '';

	// Logo Size
	$musicians_logo_top_padding = get_theme_mod('musicians_logo_top_padding');
	$musicians_logo_bottom_padding = get_theme_mod('musicians_logo_bottom_padding');
	$musicians_logo_left_padding = get_theme_mod('musicians_logo_left_padding');
	$musicians_logo_right_padding = get_theme_mod('musicians_logo_right_padding');

	if( $musicians_logo_top_padding != '' || $musicians_logo_bottom_padding != '' || $musicians_logo_left_padding != '' || $musicians_logo_right_padding != ''){
		$musicians_custom_style .=' .logo {';
			$musicians_custom_style .=' padding-top: '.esc_attr($musicians_logo_top_padding).'px; padding-bottom: '.esc_attr($musicians_logo_bottom_padding).'px; padding-left: '.esc_attr($musicians_logo_left_padding).'px; padding-right: '.esc_attr($musicians_logo_right_padding).'px;';
		$musicians_custom_style .=' }';
	}

	$musicians_logo_size = get_theme_mod('musicians_logo_size');
	if( $musicians_logo_size != '') {
		if($musicians_logo_size == 100) {
			$musicians_custom_style .=' .custom-logo-link img {';
				$musicians_custom_style .=' width: 350px;';
			$musicians_custom_style .=' }';
		} else if($musicians_logo_size >= 10 && $musicians_logo_size < 100) {
			$musicians_custom_style .=' .custom-logo-link img {';
				$musicians_custom_style .=' width: '.esc_attr($musicians_logo_size).'%;';
			$musicians_custom_style .=' }';
		}
	}

	//site title tagline
	$musicians_site_title_color = get_theme_mod('musicians_site_title_color');
	if ( $musicians_site_title_color != '') {
		$musicians_custom_style .=' h1.site-title a, p.site-title a {';
			$musicians_custom_style .=' color:'.esc_attr($musicians_site_title_color).';';
		$musicians_custom_style .=' }';
	}

	$musicians_site_tagline_color = get_theme_mod('musicians_site_tagline_color');
	if ( $musicians_site_tagline_color != '') {
		$musicians_custom_style .=' p.site-description {';
			$musicians_custom_style .=' color:'.esc_attr($musicians_site_tagline_color).';';
		$musicians_custom_style .=' }';
	}

	//layout width
	$musicians_boxfull_width = get_theme_mod('musicians_boxfull_width');
	if ($musicians_boxfull_width !== '') {
		switch ($musicians_boxfull_width) {
			case 'container':
				$musicians_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$musicians_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$musicians_dropdown_anim = get_theme_mod('musicians_dropdown_anim');

	if ( $musicians_dropdown_anim != '') {
		$musicians_custom_style .=' .nav-menu ul ul {';
			$musicians_custom_style .=' animation:'.esc_attr($musicians_dropdown_anim).' 1s ease;';
		$musicians_custom_style .=' }';
	}

	//Header Color
	$musicians_menu_color = get_theme_mod('musicians_menu_color');
	if ( $musicians_menu_color != '') {
		$musicians_custom_style .=' .nav-menu ul li a{';
			$musicians_custom_style .=' color:'.esc_attr($musicians_menu_color).';';
		$musicians_custom_style .=' }';
	}

	$musicians_menuhvr_color = get_theme_mod('musicians_menuhvr_color');
	if ( $musicians_menuhvr_color != '') {
		$musicians_custom_style .=' .nav-menu ul li a:hover{';
			$musicians_custom_style .=' color:'.esc_attr($musicians_menuhvr_color).';';
		$musicians_custom_style .=' }';
	}

	$musicians_header_btn_color = get_theme_mod('musicians_header_btn_color');
	if ( $musicians_header_btn_color != '') {
		$musicians_custom_style .=' #header .h-btn .read-btn{';
			$musicians_custom_style .=' color:'.esc_attr($musicians_header_btn_color).';';
		$musicians_custom_style .=' }';
	}

	$musicians_header_btnbg_color = get_theme_mod('musicians_header_btnbg_color');
	if ( $musicians_header_btnbg_color != '') {
		$musicians_custom_style .=' #header .h-btn .read-btn{';
			$musicians_custom_style .=' box-shadow: inset 0px 0px 19px 17px '.esc_attr($musicians_header_btnbg_color).', 0px 4px 13px 7px '.esc_attr($musicians_header_btnbg_color).';';
		$musicians_custom_style .=' }';
	}

	//slider color

	$musicians_slider_font_size = get_theme_mod('musicians_slider_font_size');
	if ( $musicians_slider_font_size != '') {
		$musicians_custom_style .=' #slider .text-effect{';
			$musicians_custom_style .=' font-size:'.esc_attr($musicians_slider_font_size).'px;';
		$musicians_custom_style .=' }';
	}

	$musicians_slider_title_color = get_theme_mod('musicians_slider_title_color');
	if ( $musicians_slider_title_color != '') {
		$musicians_custom_style .=' #slider .text-effect{';
			$musicians_custom_style .=' -webkit-text-stroke: 0.02em '.esc_attr($musicians_slider_title_color).';';
		$musicians_custom_style .=' }';
	}

	$musicians_slider_titleshd_color = get_theme_mod('musicians_slider_titleshd_color');
	if ( $musicians_slider_titleshd_color != '') {
		$musicians_custom_style .=' #slider .text-effect{';
			$musicians_custom_style .=' text-shadow: 7px 13px 20px '.esc_attr($musicians_slider_titleshd_color).';';
		$musicians_custom_style .=' }';
	}

	//feature section css
	$musicians_section_titleservice_font_size = get_theme_mod('musicians_section_titleservice_font_size');
	if ( $musicians_section_titleservice_font_size != '') {
		$musicians_custom_style .=' #feature-section .feature-head h3{';
			$musicians_custom_style .=' font-size:'.esc_attr($musicians_section_titleservice_font_size).'px;';
		$musicians_custom_style .=' }';
	}

	$musicians_section_subtitleservice_font_size = get_theme_mod('musicians_section_subtitleservice_font_size');
	if ( $musicians_section_subtitleservice_font_size != '') {
		$musicians_custom_style .=' #feature-section .feature-head p{';
			$musicians_custom_style .=' font-size:'.esc_attr($musicians_section_subtitleservice_font_size).'px;';
		$musicians_custom_style .=' }';
	}